Subject: Re: [PATCH v3 2/3] Allow help.htmlpath to be a URL prefix

From: Chris Webb <[email-masked]>
Date: Fri, 29 Jun 2012 00:38:30 +0100

Junio C Hamano <[email-masked]> writes:

> Sounds sensible and looks reasonable.  Thanks.

Great! Glad they were of interest.

> I do not think [PATCH 3/3] is a positive change at all, though.

Yes, I think my aversion for being thrown into the full manual with
git foo --help is quite unusual, so this one's probably better left
as one of my idiosyncratic local patches.

The reason I thought there was a chance this could be of wider interest is
that, on a machine without man pages,

  $ git show --help
  warning: failed to exec 'man': No such file or directory
  fatal: no man viewer handled the request

is a bit unfriendly when git actually has enough internal help to be able to
offer

  $ git show -h    
  usage: git log [<options>] [<since>..<until>] [[--] <path>...]
     or: git show [options] <object>...

...but only if you know that -h exists and is not a synonym for --help.

Cheers,

Chris.